Imports System.Data.OleDb
Public Class frmRSS3
    Public cnn As New OleDbConnection
    Public cmd As New OleDbCommand
    Public adapt As New OleDbDataAdapter
    Public ds As New DataSet
    Public conn As New OleDbConnection
    Dim WithEvents BS As New BindingSource
#Region "Load"
    Private Sub frmEgyRSS3_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        cnn.ConnectionString = constring6
        ds.EnforceConstraints = False
        cnn.Open()
        Dim str As String = "SELECT * FROM TRSSDatabase ORDER BY Field1"
        adapt = New OleDbDataAdapter(str, cnn)
        ds.Clear()
        adapt.Fill(ds, "TRSSDatabase")
        BS.DataSource = ds
        BS.DataMember = "TRSSDatabase"
        ListBox.DataSource = BS
        ListBox.DisplayMember = "FIELD2"
        ds.EnforceConstraints = True
        adapt.Dispose()
        cnn.Close()
        RecordCount()
    End Sub
#End Region
#Region "AddButton"
    Private Sub AddButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddButton.Click
        Dim n As Double
        Dim s As Double
        n = BS.Count
        On Error Resume Next
        BS.Position = BS.Count - 1
        s = Val(Me.Text1.Text)
        BS.EndEdit()
        BS.AddNew()
        If n = 0 Then
            Me.Text1.Text = 1
        Else
            If n >= s Then
                Me.Text1.Text = Val(n) + 1
            Else
                Me.Text1.Text = Val(s) + 1
            End If
        End If

        Text2.Focus()
        Text2.Text = ""
        Text3.Text = ""
        ComboBox.Text = ""
    End Sub
#End Region
#Region "SaveButton"
    Private Sub SaveButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveButton.Click
        Static Dim P As Integer
        P = BS.Position
        Try
            cmd.Connection = cnn
            cmd.CommandText = "insert into TRSSDatabase (Field1,Field2,Field3,Field4) values('" & Text1.Text & "','" & Text2.Text & "','" & ComboBox.Text & "','" & Text3.Text & "')"
            If cnn.State = ConnectionState.Open Then cnn.Close()
            cnn.Open()
            cmd.ExecuteNonQuery()
            cnn.Close()
            RecordCount()
        Catch ex As OleDbException
            MessageBox.Show(ex.Message)
        End Try
        frmEgyRSS3_Load(sender, e)
        LASTBUTTON_Click(sender, e)
    End Sub
#End Region
#Region "EditButton"
    Private Sub EditButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EditButton.Click
        Static n As Integer
        n = Me.BS.Position
        cnn.Open()
        Dim Str As String = "update TRSSDatabase set FIELD1=" & Me.Text1.Text & ",FIELD2='" & Me.Text2.Text & "',FIELD3='" & Me.ComboBox.Text & "',FIELD4='" & Me.Text3.Text & "'" & "where FIELD1=" & Me.Text1.Text
        Try
            cmd.Connection = cnn
            cmd.CommandText = Str
            If cnn.State = ConnectionState.Open Then cnn.Close()
            cnn.Open()
            cmd.ExecuteNonQuery()
            cnn.Close()
            frmEgyRSS3_Load(sender, e)
            Me.BS.Position = n
            RecordCount()
            cnn.Close()
        Catch ex As OleDbException
            MessageBox.Show(ex.Message)
        End Try
    End Sub
#End Region
#Region "RecordCount"
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RecordLabel.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds.Tables("TRSSDatabase").Rows.Count - 1 Then
            Forward = True
        End If
        FirstButton.Enabled = Back
        PreviousButton.Enabled = Back
        NextButton.Enabled = Forward
        LastButton.Enabled = Forward
        DISPLAYRECORD()
    End Sub
#End Region
#Region "DISPLAYRECORD"
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .Text1.Text = ds.Tables("TRSSDatabase").Rows(BS.Position)("Field1").ToString
            .Text2.Text = ds.Tables("TRSSDatabase").Rows(BS.Position)("Field2").ToString
            .ComboBox.Text = ds.Tables("TRSSDatabase").Rows(BS.Position)("Field3").ToString
            .Text3.Text = ds.Tables("TRSSDatabase").Rows(BS.Position)("Field4").ToString
        End With
    End Sub
#End Region
#Region "FirstButton"
    Private Sub FirstButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FirstButton.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
#End Region
#Region "PreviousButton"
    Private Sub PreviousButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PreviousButton.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
#End Region
#Region "NextButton"
    Private Sub NextButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NextButton.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
#End Region
#Region "LastButton"
    Private Sub LastButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LastButton.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
#End Region
#Region "ButtonCancel"
    Private Sub ButtonCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonCancel.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
#End Region
#Region "DeleteButton"
    Private Sub DeleteButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeleteButton.Click
        Try
            cmd.Connection = cnn
            cmd.CommandText = "delete from TRSSDatabase where FIELD1=" & Text1.Text
            cnn.Open()
            cmd.ExecuteNonQuery()
            MessageBox.Show("   ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information)
            RecordCount()
            cnn.Close()
        Catch ex As OleDbException
            MessageBox.Show(ex.Message)
        End Try
        frmEgyRSS3_Load(sender, e)
    End Sub
#End Region
#Region "Text2_KeyUp"
    Private Sub Text2_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Text2.KeyUp, Text3.KeyUp, ComboBox.KeyUp
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
#End Region
#Region "ListBox"
    Private Sub ListBox_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListBox.Click
        On Error Resume Next
        BS.Position = ListBox.SelectedIndex
        RecordCount()
    End Sub
#End Region
#Region "NewsBarButton"
    Private Sub NewsBarButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NewsBarButton.Click
        On Error Resume Next
        frm2.Timer.Enabled = False
        frm2.Top = 530
        frm2.Label1.Text = ""
        ViewDetails = ""
        frm2.RSSNotifyIcon.Visible = False
        frm2.Label1.Left = -Val(frm2.Label1.Width)
        ViewDetails = Me.Text3.Text
        Me.Hide()
        frm2.NewsBar(ViewDetails, frm2.Label1, Me.Text2.Text)
        frm2.Show()
        Me.Close()
    End Sub
#End Region
#Region "RSSFeedButton"
    Private Sub RSSFeedButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RSSFeedButton.Click
        On Error Resume Next
        MessageBox.Show("       ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
        Form2 = Nothing
        Dim f As New Form2
        ViewDetails = ""
        frm2.Close()
        ViewDetails = Me.Text3.Text
        f.RSSFeedReader(ViewDetails)
        f.Show()
        Me.Close()
    End Sub
#End Region
#Region "RSSButton"
    Private Sub RSSButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RSSButton.Click
        On Error Resume Next
        Process.Start("iexplore", Me.Text3.Text)
        Me.Close()
    End Sub
#End Region
End Class