Imports System.IO
Imports System.Net
Imports System.Xml
Public Class Form2
    Private feedItems As ArrayList
#Region "GetXMLDoc"
    Private Sub frmRSSFeedReader_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        On Error Resume Next
        RSSFeedReader(ViewDetails)
    End Sub
#End Region
#Region "GetXMLDoc"
    Private Function GetXMLDoc(ByVal node As String) As XmlNodeList
        On Error Resume Next
        Dim tempNodeList As System.Xml.XmlNodeList = Nothing
        Dim request As WebRequest = WebRequest.Create(ViewDetails)
        Dim response As WebResponse = request.GetResponse()
        Dim rssStream As Stream = response.GetResponseStream()
        Dim rssDoc As XmlDocument = New XmlDocument()
        rssDoc.Load(rssStream)
        tempNodeList = rssDoc.SelectNodes(node)
        Return tempNodeList
    End Function
#End Region
#Region "GetChannelItems"
    Public Function GetChannelItems() As ArrayList
        On Error Resume Next
        Dim tempArrayList As New ArrayList
        Dim rssItems As XmlNodeList = GetXMLDoc("rss/channel/item")
        Dim item As XmlNode
        For Each item In rssItems
            Dim newItem As New RSSItem
            With newItem
                .Title = item.SelectSingleNode("title").InnerText
                .Link = item.SelectSingleNode("link").InnerText
            End With
            tempArrayList.Add(newItem)
        Next
        Return tempArrayList
    End Function
#End Region
#Region "RSSFeedReader"
    Public Sub RSSFeedReader(ByVal mychannel As String)
        On Error Resume Next
        Dim channel As New RSSChannel(mychannel)
        LinkLabel1.Text = ""
        LinkLabel1.Links.Add(0, 1, "")
        feedItems = channel.GetChannelItems()
        ListBox1.DisplayMember = "Title"
        ListBox1.ValueMember = "Title"
        ListBox1.DataSource = feedItems
    End Sub
#End Region
#Region "FullButton"
    Private Sub FullButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FullButton.Click
        On Error Resume Next
        If ListBox1.Items.Count > 0 Then
            MessageBox.Show("       ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            Dim currentItem As RSSItem
            currentItem = feedItems(ListBox1.SelectedIndex)
            LinkLabel1.Text = currentItem.Link
            LinkLabel1.Links(0).LinkData = currentItem.Link
            Me.WebBrowser1.DocumentText = ""
            Me.WebBrowser1.Navigate(Me.LinkLabel1.Text)
        End If
    End Sub
#End Region
#Region "BackButton"
    Private Sub BackButton_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BackButton.Click
        On Error Resume Next
        Me.WebBrowser1.GoBack()
    End Sub
#End Region
#Region "BackButton"
    Private Sub ForwardButton_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ForwardButton.Click
        On Error Resume Next
        Me.WebBrowser1.GoForward()
    End Sub
#End Region
End Class